diff --git a/doc/bash.ps b/doc/bash.ps
index 80a63f36..3a31e4c6 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -1,6 +1,6 @@
 %!PS-Adobe-3.0
 %%Creator: groff version 1.22.3
-%%CreationDate: Thu Oct  5 14:35:22 2017
+%%CreationDate: Mon Oct  9 15:38:30 2017
 %%DocumentNeededResources: font Times-Roman
 %%+ font Times-Bold
 %%+ font Times-Italic
@@ -340,7 +340,7 @@ F .475(xtended deb)-.15 F(ug-)-.2 E
 (~/.bashr)3.598 E(c)-.37 E F0 1.598(if the)4.408 F(shell is interacti)
 144 710.4 Q .3 -.15(ve \()-.25 H(see).15 E F4(INV)2.5 E(OCA)-.405 E
 (TION)-.855 E F0(belo)2.25 E(w\).)-.25 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(1)202.335 E 0 Cg EP
+(2017 October 7)143.735 E(1)197.895 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
@@ -462,8 +462,8 @@ F2(~/.bashr)108 691.2 Q(c)-.37 E F0 2.535(,i)C 2.535(ft)-2.535 G .035
 Q F1(bash)5.306 E F0 2.806(is started non-interacti)5.306 F -.15(ve)-.25
 G(ly).15 E 5.306(,t)-.65 G 5.306(or)-5.306 G 2.806
 (un a shell script, for e)-5.306 F 2.805(xample, it looks for the v)-.15
-F(ariable)-.25 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(2)202.335
-E 0 Cg EP
+F(ariable)-.25 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(2)
+197.895 E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
@@ -598,7 +598,8 @@ F .389(wed by)-.25 F F2(blank)2.889 E F0 .389(-separated w)B .389
 -.15(xe)-.15 G(cuted,).15 E(and is passed as ar)108 722.4 Q
 (gument zero.)-.18 E(The remaining w)5 E(ords are passed as ar)-.1 E
 (guments to the in)-.18 E -.2(vo)-.4 G -.1(ke).2 G 2.5(dc).1 G(ommand.)
--2.5 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(3)202.335 E 0 Cg EP
+-2.5 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(3)197.895 E 0 Cg
+EP
 %%Page: 4 4
 %%BeginPageSetup
 BP
@@ -714,8 +715,8 @@ E -.15(xe)-.15 G(cuted with left associati).15 E(vity)-.25 E 5(.A)-.65 G
 (returns a non-zero e)3.229 F .729(xit status.)-.15 F .728
 (The return status of AND)5.729 F(and OR lists is the e)108 705.6 Q
 (xit status of the last command e)-.15 E -.15(xe)-.15 G
-(cuted in the list.).15 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E
-(4)202.335 E 0 Cg EP
+(cuted in the list.).15 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E
+(4)197.895 E 0 Cg EP
 %%Page: 5 5
 %%BeginPageSetup
 BP
@@ -844,8 +845,8 @@ F0 .597(with inde)2.847 F 3.097(x0i)-.15 G(s)-3.097 E .049
 2.5 E F0 .523(Returns the v)180 685.2 R .522(alue of)-.25 F F2 -.2(ex)
 3.022 G(pr).2 E(ession)-.37 E F0 5.522(.T)C .522(his may be used to o)
 -5.522 F -.15(ve)-.15 G .522(rride the normal precedence of).15 F
-(operators.)180 697.2 Q(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(5)
-202.335 E 0 Cg EP
+(operators.)180 697.2 Q(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E
+(5)197.895 E 0 Cg EP
 %%Page: 6 6
 %%BeginPageSetup
 BP
@@ -994,8 +995,8 @@ E F0 1.087(is e)144 664.8 R -.15(xe)-.15 G 1.087
 -.15 F .103(xit sta-)-.15 F(tus of the last command e)144 688.8 Q -.15
 (xe)-.15 G(cuted, or zero if no condition tested true.).15 E F1(while)
 108 705.6 Q F2(list-1)2.5 E F0(;)A F1(do)2.5 E F2(list-2)2.5 E F0(;)A F1
-(done)2.5 E F0(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(6)202.335 E
-0 Cg EP
+(done)2.5 E F0(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(6)197.895
+E 0 Cg EP
 %%Page: 7 7
 %%BeginPageSetup
 BP
@@ -1134,8 +1135,8 @@ F0 1.337(option is on by def)3.837 F 1.337(ault in)-.1 F(interacti)108
 (ords to the shell.)-.1 F .477(Quoting can be)5.477 F .184
 (used to disable special treatment for special characters, to pre)108
 727.2 R -.15(ve)-.25 G .185(nt reserv).15 F .185(ed w)-.15 F .185
-(ords from being recognized as)-.1 F(GNU Bash 4.4)72 768 Q(2017 June 23)
-148.175 E(7)202.335 E 0 Cg EP
+(ords from being recognized as)-.1 F(GNU Bash 4.4)72 768 Q
+(2017 October 7)143.735 E(7)197.895 E 0 Cg EP
 %%Page: 8 8
 %%BeginPageSetup
 BP
@@ -1237,7 +1238,7 @@ F3($)A F0(")A F1(string)A F0 .14
 F3(C)2.995 E F0(or)2.995 E F3(POSIX)2.995 E F0 2.995(,t)C .495
 (he dollar sign is ignored.)-2.995 F .496(If the string is trans-)5.496
 F(lated and replaced, the replacement is double-quoted.)108 708 Q
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(8)202.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(8)197.895 E 0 Cg EP
 %%Page: 9 9
 %%BeginPageSetup
 BP
@@ -1389,7 +1390,7 @@ l function is e)108 705.6 Q -.15(xe)-.15 G(cuted \(see).15 E F4
 (FUNCTIONS)2.5 E F0(belo)2.25 E(w\).)-.25 E 1.403(When a positional par\
 ameter consisting of more than a single digit is e)108 722.4 R 1.404
 (xpanded, it must be enclosed in)-.15 F(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(9)202.335 E 0 Cg EP
+(2017 October 7)143.735 E(9)197.895 E 0 Cg EP
 %%Page: 10 10
 %%BeginPageSetup
 BP
@@ -1519,7 +1520,8 @@ embers correspond to the internal list of aliases as main-)-.25 F .16
 9.502 E F2 -.3(BA)144 710.4 S(SH_ALIASES).3 E F0
 (is unset, it loses its special properties, e)2.5 E -.15(ve)-.25 G 2.5
 (ni).15 G 2.5(fi)-2.5 G 2.5(ti)-2.5 G 2.5(ss)-2.5 G(ubsequently reset.)
--2.5 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(10)197.335 E 0 Cg EP
+-2.5 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(10)192.895 E 0 Cg
+EP
 %%Page: 11 11
 %%BeginPageSetup
 BP
@@ -1631,7 +1633,7 @@ F0(is)3.281 E(de\214ned in the \214le)144 612 Q F1(${B)2.5 E
 (ersion number \(the)-.15 E F4 -.37(re)2.5 G(lease).37 E F0(\).)A F1 -.3
 (BA)144 714 S(SH_VERSINFO[).3 E F0(1)A F1(])A F0(The minor v)264 714 Q
 (ersion number \(the)-.15 E F4(ver)2.5 E(sion)-.1 E F0(\).)A
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(11)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(11)192.895 E 0 Cg EP
 %%Page: 12 12
 %%BeginPageSetup
 BP
@@ -1743,8 +1745,8 @@ F(\(see)144 672 Q F2(time)2.917 E F0 .417
 1.09(are ignored.)3.34 F(If)6.09 E F3(EPOCHREAL)3.59 E(TIME)-.828 E F0
 1.09(is unset, it loses its special properties, e)3.34 F -.15(ve)-.25 G
 3.591(ni).15 G 3.591(fi)-3.591 G 3.591(ti)-3.591 G(s)-3.591 E
-(subsequently reset.)144 696 Q(GNU Bash 4.4)72 768 Q(2017 June 23)
-148.175 E(12)197.335 E 0 Cg EP
+(subsequently reset.)144 696 Q(GNU Bash 4.4)72 768 Q(2017 October 7)
+143.735 E(12)192.895 E 0 Cg EP
 %%Page: 13 13
 %%BeginPageSetup
 BP
@@ -1849,7 +1851,7 @@ g system on which)144 678 R F1(bash)2.829 E F0 .329(is e)2.829 F -.15
 (xit status v)-.15 F .61(alues from the processes in)-.25 F
 (the most-recently-e)144 726 Q -.15(xe)-.15 G(cuted fore).15 E
 (ground pipeline \(which may contain only a single command\).)-.15 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(13)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(13)192.895 E 0 Cg EP
 %%Page: 14 14
 %%BeginPageSetup
 BP
@@ -1967,7 +1969,7 @@ mpty string causes the trace output to be sent to the standard error)144
 693.6 S(SH_XTRA).27 E(CEFD)-.495 E F0 .74(to 2 \(the standard error \
 \214le descriptor\) and then unsetting it will result in the)2.99 F
 (standard error being closed.)144 705.6 Q(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(14)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(14)192.895 E 0 Cg EP
 %%Page: 15 15
 %%BeginPageSetup
 BP
@@ -2086,7 +2088,7 @@ A F1(HISTFILE)108 696 Q F0 .181
 -.1 F(alue)-.25 E(is)144 720 Q F5(~/.bash_history)2.5 E F0 5(.I)C 2.5
 (fu)-5 G(nset, the command history is not sa)-2.5 E -.15(ve)-.2 G 2.5
 (dw).15 G(hen a shell e)-2.5 E(xits.)-.15 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(15)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(15)192.895 E 0 Cg EP
 %%Page: 16 16
 %%BeginPageSetup
 BP
@@ -2204,7 +2206,7 @@ ermines the collation order used when sorting the results of pathname e)
 -.25 F(xpansion,)-.15 E 1.464(and determines the beha)144 720 R 1.464
 (vior of range e)-.2 F 1.465(xpressions, equi)-.15 F -.25(va)-.25 G
 1.465(lence classes, and collating sequences).25 F(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(16)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(16)192.895 E 0 Cg EP
 %%Page: 17 17
 %%BeginPageSetup
 BP
@@ -2314,7 +2316,7 @@ E F0(and)3.423 E F1(\\W)3.423 E F0 .923(prompt string escapes \(see)
 (alue of this parameter is used as the prompt for the)-.25 F F1(select)
 3.615 E F0 1.116(command \(see)3.616 F F2 1.116(SHELL GRAM-)3.616 F(MAR)
 144 720 Q F0(abo)2.25 E -.15(ve)-.15 G(\).).15 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(17)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(17)192.895 E 0 Cg EP
 %%Page: 18 18
 %%BeginPageSetup
 BP
@@ -2434,7 +2436,7 @@ E F1(histchars)108 644.4 Q F0 2.07(The tw)144 656.4 R 4.57(oo)-.1 G 4.57
 char)144 716.4 R(-)-.2 E 1.294(acter of a w)144 728.4 R 1.294
 (ord, normally `)-.1 F F1(#)A F0 3.794('. The)B 1.293
 (history comment character causes history substitution to be)3.794 F
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(18)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(18)192.895 E 0 Cg EP
 %%Page: 19 19
 %%BeginPageSetup
 BP
@@ -2591,7 +2593,7 @@ R .529(ariable does not unset the v)-.25 F(ariable.)-.25 E F1(unset)
 E F2(name)2.5 E F0([)A F2(subscript)A F0(], where)A F2(subscript)2.5 E
 F0(is)2.5 E F1(*)2.5 E F0(or)2.5 E F1(@)2.5 E F0 2.5(,r)C(emo)-2.5 E
 -.15(ve)-.15 G 2.5(st).15 G(he entire array)-2.5 E(.)-.65 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(19)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(19)192.895 E 0 Cg EP
 %%Page: 20 20
 %%BeginPageSetup
 BP
@@ -2722,8 +2724,8 @@ gs to be generated is)108 664.8 R(longer than in the abo)108 676.8 Q .3
 -.15(ve ex)-.15 H(ample:).15 E(mkdir /usr/local/src/bash/{old,ne)144
 693.6 Q -.65(w,)-.25 G(dist,b).65 E(ugs})-.2 E(or)108 705.6 Q(cho)144
 717.6 Q(wn root /usr/{ucb/{e)-.25 E(x,edit},lib/{e)-.15 E(x?.?*,ho)-.15
-E(w_e)-.25 E(x}})-.15 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(20)
-197.335 E 0 Cg EP
+E(w_e)-.25 E(x}})-.15 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E
+(20)192.895 E 0 Cg EP
 %%Page: 21 21
 %%BeginPageSetup
 BP
@@ -2861,7 +2863,7 @@ F(and arithmetic e)108 655.2 Q(xpansion.)-.15 E 1.089
 (xpansion of)-.15 F F2(wor)3.562 E(d)-.37 E F0 .722(is substituted.)
 3.992 F(Other)5.722 E(-)-.2 E(wise, the v)144 724.8 Q(alue of)-.25 E F2
 (par)3.75 E(ameter)-.15 E F0(is substituted.)3.23 E(GNU Bash 4.4)72 768
-Q(2017 June 23)148.175 E(21)197.335 E 0 Cg EP
+Q(2017 October 7)143.735 E(21)192.895 E 0 Cg EP
 %%Page: 22 22
 %%BeginPageSetup
 BP
@@ -2978,7 +2980,7 @@ A F0([)A F1(@)A F0(]})A(${)108 657.6 Q F2(!)A F1(name)A F0([)A F1(*)A F0
 (is set and null otherwise.)3.095 F(When)5.595 E F1(@)144 693.6 Q F0
 (is used and the e)2.5 E(xpansion appears within double quotes, each k)
 -.15 E .3 -.15(ey ex)-.1 H(pands to a separate w).15 E(ord.)-.1 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(22)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(22)192.895 E 0 Cg EP
 %%Page: 23 23
 %%BeginPageSetup
 BP
@@ -3129,7 +3131,7 @@ n is applied to each positional parameter in turn, and the e)144 691.2 R
 F0 2.969(,t)C .469(he case modi\214ca-)-2.969 F(tion operation is appli\
 ed to each member of the array in turn, and the e)144 715.2 Q
 (xpansion is the resultant list.)-.15 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(23)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(23)192.895 E 0 Cg EP
 %%Page: 24 24
 %%BeginPageSetup
 BP
@@ -3227,7 +3229,8 @@ F1 -.2(ex)2.666 G(pr).2 E(ession)-.37 E F0 .165
 A F0(If)5.879 E F1 -.2(ex)108 712.8 S(pr).2 E(ession)-.37 E F0(is in)
 2.74 E -.25(va)-.4 G(lid,).25 E F2(bash)2.5 E F0
 (prints a message indicating f)2.5 E(ailure and no substitution occurs.)
--.1 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(24)197.335 E 0 Cg EP
+-.1 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(24)192.895 E 0 Cg
+EP
 %%Page: 25 25
 %%BeginPageSetup
 BP
@@ -3381,7 +3384,7 @@ SF(.)A F0(The)108 705.6 Q F1(dotglob)3.131 E F0 .631
 (option is disabled when)3.131 F F3(GLOBIGNORE)3.132 E F0 .632
 (is unset.)2.882 F .632(The pattern matching honors the setting of)5.632
 F(the)108 717.6 Q F1(extglob)2.5 E F0(shell option.)2.5 E(GNU Bash 4.4)
-72 768 Q(2017 June 23)148.175 E(25)197.335 E 0 Cg EP
+72 768 Q(2017 October 7)143.735 E(25)192.895 E 0 Cg EP
 %%Page: 26 26
 %%BeginPageSetup
 BP
@@ -3491,7 +3494,7 @@ F0 1.113(After the preceding e)108 718.8 R 1.113
 3.613 E F0(,)A F1<08>3.612 E F0 3.612(,a)C(nd)-3.612 E F1(")4.445 E F0
 1.112(that did not result)4.445 F(from one of the abo)108 730.8 Q .3
 -.15(ve ex)-.15 H(pansions are remo).15 E -.15(ve)-.15 G(d.).15 E
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(26)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(26)192.895 E 0 Cg EP
 %%Page: 27 27
 %%BeginPageSetup
 BP
@@ -3592,8 +3595,8 @@ an 9 should be used with care, as the)108 669.6 R 3.447(ym)-.15 G .947
 (to be opened for read-)3.661 F(ing on \214le descriptor)108 722.4 Q F2
 (n)2.5 E F0 2.5(,o).24 G 2.5(rt)-2.5 G
 (he standard input \(\214le descriptor 0\) if)-2.5 E F2(n)2.86 E F0
-(is not speci\214ed.)2.74 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E
-(27)197.335 E 0 Cg EP
+(is not speci\214ed.)2.74 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735
+E(27)192.895 E 0 Cg EP
 %%Page: 28 28
 %%BeginPageSetup
 BP
@@ -3674,7 +3677,7 @@ F1(n)2.5 E F0(is speci\214ed\) for a command.)2.5 E
 (The format of here-documents is:)108 681.6 Q([)144 698.4 Q F1(n)A F0(])
 A F2(<<)A F0([)A F2<ad>A F0(])A F1(wor)A(d)-.37 E(her)164 710.4 Q
 (e-document)-.37 E(delimiter)144 722.4 Q F0(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(28)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(28)192.895 E 0 Cg EP
 %%Page: 29 29
 %%BeginPageSetup
 BP
@@ -3776,7 +3779,7 @@ ses that may be set and unset with the)108 708 R F2(alias)2.893 E F0
 F(\(see)108 720 Q/F4 9/Times-Bold@0 SF 1.979(SHELL B)4.479 F(UIL)-.09 E
 1.979(TIN COMMANDS)-.828 F F0(belo)4.229 E 4.48(w\). The)-.25 F 1.98
 (\214rst w)4.48 F 1.98(ord of each simple command, if unquoted, is)-.1 F
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(29)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(29)192.895 E 0 Cg EP
 %%Page: 30 30
 %%BeginPageSetup
 BP
@@ -3927,8 +3930,8 @@ E F0 2.724(,a)C(nd)-2.724 E F2(func1)2.724 E F0 .224
 F2(func2)2.964 E F0 .464(will resolv)2.964 F 2.964(et)-.15 G 2.963(ot)
 -2.964 G .463(he local v)-2.963 F(ariable)-.25 E F2(var)2.963 E F0(from)
 2.963 E F2(func1)2.963 E F0 2.963(,s)C(hado)-2.963 E .463(wing an)-.25 F
-(y)-.15 E(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(30)197.335 E 0 Cg
-EP
+(y)-.15 E(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(30)192.895 E 0
+Cg EP
 %%Page: 31 31
 %%BeginPageSetup
 BP
@@ -4030,7 +4033,7 @@ F0(bitwise e)144 633.6 Q(xclusi)-.15 E .3 -.15(ve O)-.25 H(R).15 E F2(|)
 (conditional operator)144 693.6 Q F2 2.5(=*)108 705.6 S 2.5(=/)-2.5 G
 2.5(=%)-2.5 G 2.5(=+)-2.5 G 2.5<3dad>-2.5 G 2.5(=<)-2.5 G
 (<= >>= &= ^= |=)-2.5 E F0(assignment)144 717.6 Q(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(31)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(31)192.895 E 0 Cg EP
 %%Page: 32 32
 %%BeginPageSetup
 BP
@@ -4156,7 +4159,7 @@ F0 -.15(ex)2.5 G(ists and is o).15 E(wned by the ef)-.25 E(fecti)-.25 E
 (fecti)-.25 E .3 -.15(ve u)-.25 H(ser id.).15 E F2<ad53>108 714 Q F1
 (\214le)2.5 E F0 -.35(Tr)144 714 S(ue if).35 E F1(\214le)2.5 E F0 -.15
 (ex)2.5 G(ists and is a sock).15 E(et.)-.1 E(GNU Bash 4.4)72 768 Q
-(2017 June 23)148.175 E(32)197.335 E 0 Cg EP
+(2017 October 7)143.735 E(32)192.895 E 0 Cg EP
 %%Page: 33 33
 %%BeginPageSetup
 BP
@@ -4251,7 +4254,7 @@ F(an)3.664 E 3.664(yw)-.15 G 1.164(ords remain)-3.764 F .776(after e)144
 R(an)3.176 E 3.176(yo)-.15 G 3.176(ft)-3.176 G .677
 (he assignments attempts to assign a v)-3.176 F .677
 (alue to a readonly v)-.25 F .677(ariable, an error occurs, and)-.25 F
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(33)197.335 E 0 Cg EP
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(33)192.895 E 0 Cg EP
 %%Page: 34 34
 %%BeginPageSetup
 BP
@@ -4299,73 +4302,75 @@ F0(under)4.415 E F2 1.915(SHELL B)4.415 F(UIL)-.09 E 1.915(TIN COMMANDS)
 .719(is performed only if the command is not found in the hash table.)
 2.97 F .719(If the)5.719 F .956(search is unsuccessful, the shell searc\
 hes for a de\214ned shell function named)108 312 R F4(command_not_f)
-3.456 E(ound_han-)-.25 E(dle)108 324 Q F0 5.278(.I)C 2.778(ft)-5.278 G
-.278(hat function e)-2.778 F .278(xists, it is in)-.15 F -.2(vo)-.4 G
--.1(ke).2 G 2.778(dw).1 G .277
-(ith the original command and the original command')-2.778 F 2.777(sa)
--.55 G -.18(rg)-2.777 G(uments).18 E .775(as its ar)108 336 R .775
-(guments, and the function')-.18 F 3.275(se)-.55 G .775
-(xit status becomes the e)-3.425 F .775(xit status of the shell.)-.15 F
-.776(If that function is not)5.776 F
-(de\214ned, the shell prints an error message and returns an e)108 348 Q
-(xit status of 127.)-.15 E 1.089(If the search is successful, or if the\
- command name contains one or more slashes, the shell e)108 364.8 R -.15
-(xe)-.15 G 1.089(cutes the).15 F .197(named program in a separate e)108
-376.8 R -.15(xe)-.15 G .197(cution en).15 F 2.698(vironment. Ar)-.4 F
-.198(gument 0 is set to the name gi)-.18 F -.15(ve)-.25 G .198
-(n, and the remain-).15 F(ing ar)108 388.8 Q
+3.456 E(ound_han-)-.25 E(dle)108 324 Q F0 6.006(.I)C 3.506(ft)-6.006 G
+1.006(hat function e)-3.506 F 1.006(xists, it is in)-.15 F -.2(vo)-.4 G
+-.1(ke).2 G 3.506(di).1 G 3.506(nas)-3.506 G 1.005(eparate e)-3.506 F
+-.15(xe)-.15 G 1.005(cution en).15 F 1.005
+(vironment with the original command)-.4 F .255
+(and the original command')108 336 R 2.755(sa)-.55 G -.18(rg)-2.755 G
+.255(uments as its ar).18 F .256(guments, and the function')-.18 F 2.756
+(se)-.55 G .256(xit status becomes the e)-2.906 F .256(xit sta-)-.15 F
+.263(tus of that subshell.)108 348 R .263(If that function is not de\
+\214ned, the shell prints an error message and returns an e)5.263 F .263
+(xit sta-)-.15 F(tus of 127.)108 360 Q 1.089(If the search is successfu\
+l, or if the command name contains one or more slashes, the shell e)108
+376.8 R -.15(xe)-.15 G 1.09(cutes the).15 F .198
+(named program in a separate e)108 388.8 R -.15(xe)-.15 G .198
+(cution en).15 F 2.698(vironment. Ar)-.4 F .198
+(gument 0 is set to the name gi)-.18 F -.15(ve)-.25 G .197
+(n, and the remain-).15 F(ing ar)108 400.8 Q
 (guments to the command are set to the ar)-.18 E(guments gi)-.18 E -.15
-(ve)-.25 G(n, if an).15 E -.65(y.)-.15 G 1.809(If this e)108 405.6 R
+(ve)-.25 G(n, if an).15 E -.65(y.)-.15 G 1.809(If this e)108 417.6 R
 -.15(xe)-.15 G 1.809(cution f).15 F 1.809
 (ails because the \214le is not in e)-.1 F -.15(xe)-.15 G 1.809
 (cutable format, and the \214le is not a directory).15 F 4.309(,i)-.65 G
-4.309(ti)-4.309 G(s)-4.309 E .677(assumed to be a)108 417.6 R/F5 10
-/Times-Italic@0 SF .678(shell script)3.177 F F0 3.178(,a\214)C .678
+4.309(ti)-4.309 G(s)-4.309 E .678(assumed to be a)108 429.6 R/F5 10
+/Times-Italic@0 SF .678(shell script)3.178 F F0 3.178(,a\214)C .678
 (le containing shell commands.)-3.178 F 3.178(As)5.678 G .678
-(ubshell is spa)-3.178 F .678(wned to e)-.15 F -.15(xe)-.15 G .678
-(cute it.).15 F(This)5.678 E .33
-(subshell reinitializes itself, so that the ef)108 429.6 R .33
-(fect is as if a ne)-.25 F 2.829(ws)-.25 G .329(hell had been in)-2.829
-F -.2(vo)-.4 G -.1(ke).2 G 2.829(dt).1 G 2.829(oh)-2.829 G .329
-(andle the script, with)-2.829 F 1.219(the e)108 441.6 R 1.219
+(ubshell is spa)-3.178 F .677(wned to e)-.15 F -.15(xe)-.15 G .677
+(cute it.).15 F(This)5.677 E .329
+(subshell reinitializes itself, so that the ef)108 441.6 R .329
+(fect is as if a ne)-.25 F 2.83(ws)-.25 G .33(hell had been in)-2.83 F
+-.2(vo)-.4 G -.1(ke).2 G 2.83(dt).1 G 2.83(oh)-2.83 G .33
+(andle the script, with)-2.83 F 1.219(the e)108 453.6 R 1.219
 (xception that the locations of commands remembered by the parent \(see)
 -.15 F F4(hash)3.719 E F0(belo)3.719 E 3.719(wu)-.25 G(nder)-3.719 E F2
-(SHELL)3.719 E -.09(BU)108 453.6 S(IL).09 E(TIN COMMANDS)-.828 E F3(\))A
-F0(are retained by the child.)2.25 E .348(If the program is a \214le be)
-108 470.4 R .348(ginning with)-.15 F F4(#!)2.848 E F0 2.848(,t)C .347(h\
+(SHELL)3.719 E -.09(BU)108 465.6 S(IL).09 E(TIN COMMANDS)-.828 E F3(\))A
+F0(are retained by the child.)2.25 E .347(If the program is a \214le be)
+108 482.4 R .347(ginning with)-.15 F F4(#!)2.847 E F0 2.847(,t)C .348(h\
 e remainder of the \214rst line speci\214es an interpreter for the pro-)
--2.848 F 3.178(gram. The)108 482.4 R .678(shell e)3.178 F -.15(xe)-.15 G
+-2.847 F 3.178(gram. The)108 494.4 R .678(shell e)3.178 F -.15(xe)-.15 G
 .678(cutes the speci\214ed interpreter on operating systems that do not\
- handle this e).15 F -.15(xe)-.15 G(cutable).15 E 1.193(format themselv)
-108 494.4 R 3.693(es. The)-.15 F(ar)3.693 E 1.193
-(guments to the interpreter consist of a single optional ar)-.18 F 1.192
-(gument follo)-.18 F 1.192(wing the)-.25 F 1.13
-(interpreter name on the \214rst line of the program, follo)108 506.4 R
-1.131(wed by the name of the program, follo)-.25 F 1.131(wed by the)-.25
-F(command ar)108 518.4 Q(guments, if an)-.18 E -.65(y.)-.15 G F1
-(COMMAND EXECUTION ENVIR)72 535.2 Q(ONMENT)-.329 E F0(The shell has an)
-108 547.2 Q F5 -.2(ex)2.5 G(ecution en).2 E(vir)-.4 E(onment)-.45 E F0
-2.5(,w)C(hich consists of the follo)-2.5 E(wing:)-.25 E<83>108 564 Q
-1.406(open \214les inherited by the shell at in)144 564 R -.2(vo)-.4 G
-1.405(cation, as modi\214ed by redirections supplied to the).2 F F4
-(exec)3.905 E F0 -.2(bu)144 576 S(iltin).2 E<83>108 592.8 Q
-(the current w)144 592.8 Q(orking directory as set by)-.1 E F4(cd)2.5 E
+ handle this e).15 F -.15(xe)-.15 G(cutable).15 E 1.192(format themselv)
+108 506.4 R 3.692(es. The)-.15 F(ar)3.693 E 1.193
+(guments to the interpreter consist of a single optional ar)-.18 F 1.193
+(gument follo)-.18 F 1.193(wing the)-.25 F 1.131
+(interpreter name on the \214rst line of the program, follo)108 518.4 R
+1.13(wed by the name of the program, follo)-.25 F 1.13(wed by the)-.25 F
+(command ar)108 530.4 Q(guments, if an)-.18 E -.65(y.)-.15 G F1
+(COMMAND EXECUTION ENVIR)72 547.2 Q(ONMENT)-.329 E F0(The shell has an)
+108 559.2 Q F5 -.2(ex)2.5 G(ecution en).2 E(vir)-.4 E(onment)-.45 E F0
+2.5(,w)C(hich consists of the follo)-2.5 E(wing:)-.25 E<83>108 576 Q
+1.405(open \214les inherited by the shell at in)144 576 R -.2(vo)-.4 G
+1.406(cation, as modi\214ed by redirections supplied to the).2 F F4
+(exec)3.906 E F0 -.2(bu)144 588 S(iltin).2 E<83>108 604.8 Q
+(the current w)144 604.8 Q(orking directory as set by)-.1 E F4(cd)2.5 E
 F0(,)A F4(pushd)2.5 E F0 2.5(,o)C(r)-2.5 E F4(popd)2.5 E F0 2.5(,o)C 2.5
 (ri)-2.5 G(nherited by the shell at in)-2.5 E -.2(vo)-.4 G(cation).2 E
-<83>108 609.6 Q(the \214le creation mode mask as set by)144 609.6 Q F4
+<83>108 621.6 Q(the \214le creation mode mask as set by)144 621.6 Q F4
 (umask)2.5 E F0(or inherited from the shell')2.5 E 2.5(sp)-.55 G(arent)
--2.5 E<83>108 626.4 Q(current traps set by)144 626.4 Q F4(trap)2.5 E F0
-<83>108 643.2 Q .256(shell parameters that are set by v)144 643.2 R .256
-(ariable assignment or with)-.25 F F4(set)2.756 E F0 .257
-(or inherited from the shell')2.756 F 2.757(sp)-.55 G(arent)-2.757 E
-(in the en)144 655.2 Q(vironment)-.4 E<83>108 672 Q
-(shell functions de\214ned during e)144 672 Q -.15(xe)-.15 G
+-2.5 E<83>108 638.4 Q(current traps set by)144 638.4 Q F4(trap)2.5 E F0
+<83>108 655.2 Q .257(shell parameters that are set by v)144 655.2 R .256
+(ariable assignment or with)-.25 F F4(set)2.756 E F0 .256
+(or inherited from the shell')2.756 F 2.756(sp)-.55 G(arent)-2.756 E
+(in the en)144 667.2 Q(vironment)-.4 E<83>108 684 Q
+(shell functions de\214ned during e)144 684 Q -.15(xe)-.15 G
 (cution or inherited from the shell').15 E 2.5(sp)-.55 G
-(arent in the en)-2.5 E(vironment)-.4 E<83>108 688.8 Q
-(options enabled at in)144 688.8 Q -.2(vo)-.4 G(cation \(either by def)
+(arent in the en)-2.5 E(vironment)-.4 E<83>108 700.8 Q
+(options enabled at in)144 700.8 Q -.2(vo)-.4 G(cation \(either by def)
 .2 E(ault or with command-line ar)-.1 E(guments\) or by)-.18 E F4(set)
-2.5 E F0<83>108 705.6 Q(options enabled by)144 705.6 Q F4(shopt)2.5 E F0
-(GNU Bash 4.4)72 768 Q(2017 June 23)148.175 E(34)197.335 E 0 Cg EP
+2.5 E F0<83>108 717.6 Q(options enabled by)144 717.6 Q F4(shopt)2.5 E F0
+(GNU Bash 4.4)72 768 Q(2017 October 7)143.735 E(34)192.895 E 0 Cg EP
 %%Page: 35 35
 %%BeginPageSetup
 BP
@@ -4376,73 +4381,73 @@ BP
 F0<83>108 100.8 Q -.25(va)144 100.8 S
 (rious process IDs, including those of background jobs, the v).25 E
 (alue of)-.25 E F1($$)2.5 E F0 2.5(,a)C(nd the v)-2.5 E(alue of)-.25 E
-/F2 9/Times-Bold@0 SF(PPID)2.5 E F0 .427
-(When a simple command other than a b)108 117.6 R .426
-(uiltin or shell function is to be e)-.2 F -.15(xe)-.15 G .426
-(cuted, it is in).15 F -.2(vo)-.4 G -.1(ke).2 G 2.926(di).1 G 2.926(nas)
--2.926 G(eparate)-2.926 E -.15(exe)108 129.6 S .133(cution en).15 F .133
+/F2 9/Times-Bold@0 SF(PPID)2.5 E F0 .426
+(When a simple command other than a b)108 117.6 R .427
+(uiltin or shell function is to be e)-.2 F -.15(xe)-.15 G .427
+(cuted, it is in).15 F -.2(vo)-.4 G -.1(ke).2 G 2.927(di).1 G 2.927(nas)
+-2.927 G(eparate)-2.927 E -.15(exe)108 129.6 S .134(cution en).15 F .134
 (vironment that consists of the follo)-.4 F 2.634(wing. Unless)-.25 F
-.134(otherwise noted, the v)2.634 F .134(alues are inherited from)-.25 F
-(the shell.)108 141.6 Q<83>108 158.4 Q 1.056(the shell')144 158.4 R
-3.556(so)-.55 G 1.056(pen \214les, plus an)-3.556 F 3.556(ym)-.15 G
+.133(otherwise noted, the v)2.634 F .133(alues are inherited from)-.25 F
+(the shell.)108 141.6 Q<83>108 158.4 Q 1.055(the shell')144 158.4 R
+3.555(so)-.55 G 1.055(pen \214les, plus an)-3.555 F 3.556(ym)-.15 G
 1.056
 (odi\214cations and additions speci\214ed by redirections to the com-)
 -3.556 F(mand)144 170.4 Q<83>108 187.2 Q(the current w)144 187.2 Q
 (orking directory)-.1 E<83>108 204 Q(the \214le creation mode mask)144
-204 Q<83>108 220.8 Q .856(shell v)144 220.8 R .857
+204 Q<83>108 220.8 Q .857(shell v)144 220.8 R .857
 (ariables and functions mark)-.25 F .857(ed for e)-.1 F .857
 (xport, along with v)-.15 F .857(ariables e)-.25 F .857
 (xported for the command,)-.15 F(passed in the en)144 232.8 Q(vironment)
--.4 E<83>108 249.6 Q .307(traps caught by the shell are reset to the v)
-144 249.6 R .306(alues inherited from the shell')-.25 F 2.806(sp)-.55 G
-.306(arent, and traps ignored)-2.806 F(by the shell are ignored)144
+-.4 E<83>108 249.6 Q .306(traps caught by the shell are reset to the v)
+144 249.6 R .307(alues inherited from the shell')-.25 F 2.807(sp)-.55 G
+.307(arent, and traps ignored)-2.807 F(by the shell are ignored)144
 261.6 Q 2.5(Ac)108 278.4 S(ommand in)-2.5 E -.2(vo)-.4 G -.1(ke).2 G 2.5
 (di).1 G 2.5(nt)-2.5 G(his separate en)-2.5 E(vironment cannot af)-.4 E
 (fect the shell')-.25 E 2.5(se)-.55 G -.15(xe)-2.65 G(cution en).15 E
 (vironment.)-.4 E .577(Command substitution, commands grouped with pare\
 ntheses, and asynchronous commands are in)108 295.2 R -.2(vo)-.4 G -.1
-(ke).2 G 3.078(di).1 G(n)-3.078 E 2.745(as)108 307.2 S .245(ubshell en)
--2.745 F .245(vironment that is a duplicate of the shell en)-.4 F .244
-(vironment, e)-.4 F .244(xcept that traps caught by the shell are)-.15 F
-.358(reset to the v)108 319.2 R .358
+(ke).2 G 3.077(di).1 G(n)-3.077 E 2.744(as)108 307.2 S .244(ubshell en)
+-2.744 F .244(vironment that is a duplicate of the shell en)-.4 F .245
+(vironment, e)-.4 F .245(xcept that traps caught by the shell are)-.15 F
+.359(reset to the v)108 319.2 R .358
 (alues that the shell inherited from its parent at in)-.25 F -.2(vo)-.4
-G 2.858(cation. Builtin).2 F .359(commands that are in)2.859 F -.2(vo)
--.4 G -.1(ke).2 G(d).1 E .857(as part of a pipeline are also e)108 331.2
-R -.15(xe)-.15 G .856(cuted in a subshell en).15 F 3.356
-(vironment. Changes)-.4 F .856(made to the subshell en)3.356 F(viron-)
+G 2.858(cation. Builtin).2 F .358(commands that are in)2.858 F -.2(vo)
+-.4 G -.1(ke).2 G(d).1 E .856(as part of a pipeline are also e)108 331.2
+R -.15(xe)-.15 G .856(cuted in a subshell en).15 F 3.357
+(vironment. Changes)-.4 F .857(made to the subshell en)3.357 F(viron-)
 -.4 E(ment cannot af)108 343.2 Q(fect the shell')-.25 E 2.5(se)-.55 G
--.15(xe)-2.65 G(cution en).15 E(vironment.)-.4 E 1.376(Subshells spa)108
-360 R 1.376(wned to e)-.15 F -.15(xe)-.15 G 1.377
+-.15(xe)-2.65 G(cution en).15 E(vironment.)-.4 E 1.377(Subshells spa)108
+360 R 1.377(wned to e)-.15 F -.15(xe)-.15 G 1.377
 (cute command substitutions inherit the v).15 F 1.377(alue of the)-.25 F
-F1<ad65>3.877 E F0 1.377(option from the parent)3.877 F 2.5(shell. When)
+F1<ad65>3.876 E F0 1.376(option from the parent)3.876 F 2.5(shell. When)
 108 372 R(not in)2.5 E/F3 10/Times-Italic@0 SF(posix)2.5 E F0(mode,)2.5
 E F1(bash)2.5 E F0(clears the)2.5 E F1<ad65>2.5 E F0
-(option in such subshells.)2.5 E .405(If a command is follo)108 388.8 R
-.405(wed by a)-.25 F F1(&)2.905 E F0 .404(and job control is not acti)
-2.905 F -.15(ve)-.25 G 2.904(,t).15 G .404(he def)-2.904 F .404
-(ault standard input for the command)-.1 F .197(is the empty \214le)108
-400.8 R F3(/de)2.697 E(v/null)-.15 E F0 5.197(.O)C .197
-(therwise, the in)-5.197 F -.2(vo)-.4 G -.1(ke).2 G 2.697(dc).1 G .198
-(ommand inherits the \214le descriptors of the calling shell)-2.697 F
+(option in such subshells.)2.5 E .404(If a command is follo)108 388.8 R
+.404(wed by a)-.25 F F1(&)2.904 E F0 .405(and job control is not acti)
+2.904 F -.15(ve)-.25 G 2.905(,t).15 G .405(he def)-2.905 F .405
+(ault standard input for the command)-.1 F .198(is the empty \214le)108
+400.8 R F3(/de)2.698 E(v/null)-.15 E F0 5.198(.O)C .198
+(therwise, the in)-5.198 F -.2(vo)-.4 G -.1(ke).2 G 2.698(dc).1 G .197
+(ommand inherits the \214le descriptors of the calling shell)-2.698 F
 (as modi\214ed by redirections.)108 412.8 Q/F4 10.95/Times-Bold@0 SF
-(ENVIR)72 429.6 Q(ONMENT)-.329 E F0 2.354(When a program is in)108 441.6
+(ENVIR)72 429.6 Q(ONMENT)-.329 E F0 2.353(When a program is in)108 441.6
 R -.2(vo)-.4 G -.1(ke).2 G 4.853(di).1 G 4.853(ti)-4.853 G 4.853(sg)
 -4.853 G -2.15 -.25(iv e)-4.853 H 4.853(na).25 G 4.853(na)-4.853 G 2.353
 (rray of strings called the)-4.853 F F3(en)4.853 E(vir)-.4 E(onment)-.45
-E F0 7.353(.T).68 G 2.353(his is a list of)-7.353 F F3(name)108 453.6 Q
+E F0 7.353(.T).68 G 2.354(his is a list of)-7.353 F F3(name)108 453.6 Q
 F0<ad>A F3(value)A F0(pairs, of the form)2.5 E F3(name)2.5 E F0(=)A F3
-(value)A F0(.).18 E 1.485(The shell pro)108 470.4 R 1.485(vides se)-.15
-F -.15(ve)-.25 G 1.485(ral w).15 F 1.485(ays to manipulate the en)-.1 F
-3.985(vironment. On)-.4 F(in)3.985 E -.2(vo)-.4 G 1.486
+(value)A F0(.).18 E 1.486(The shell pro)108 470.4 R 1.486(vides se)-.15
+F -.15(ve)-.25 G 1.486(ral w).15 F 1.485(ays to manipulate the en)-.1 F
+3.985(vironment. On)-.4 F(in)3.985 E -.2(vo)-.4 G 1.485
 (cation, the shell scans its o).2 F(wn)-.25 E(en)108 482.4 Q .144(viron\
 ment and creates a parameter for each name found, automatically marking\
- it for)-.4 F F3 -.2(ex)2.643 G(port).2 E F0 .143(to child pro-)3.323 F
-2.703(cesses. Ex)108 494.4 R .203(ecuted commands inherit the en)-.15 F
+ it for)-.4 F F3 -.2(ex)2.644 G(port).2 E F0 .144(to child pro-)3.324 F
+2.704(cesses. Ex)108 494.4 R .203(ecuted commands inherit the en)-.15 F
 2.703(vironment. The)-.4 F F1(export)2.703 E F0(and)2.703 E F1(declar)
-2.703 E 2.703<65ad>-.18 G(x)-2.703 E F0 .203(commands allo)2.703 F 2.704
-(wp)-.25 G(aram-)-2.704 E 1.153
+2.703 E 2.703<65ad>-.18 G(x)-2.703 E F0 .203(commands allo)2.703 F 2.703
+(wp)-.25 G(aram-)-2.703 E 1.153
 (eters and functions to be added to and deleted from the en)108 506.4 R
-3.653(vironment. If)-.4 F 1.153(the v)3.653 F 1.153
+3.653(vironment. If)-.4 F 1.153(the v)3.653 F 1.154
 (alue of a parameter in the)-.25 F(en)108 518.4 Q .64
 (vironment is modi\214ed, the ne)-.4 F 3.14(wv)-.25 G .64
 (alue becomes part of the en)-3.39 F .64(vironment, replacing the old.)
